Skip to main content
GET
/
v1
/
brands
/
{brand_id}
Python
import os
from channel3_sdk import Channel3

client = Channel3(
    api_key=os.environ.get("CHANNEL3_API_KEY"),  # This is the default and can be omitted
)
brand = client.brands.retrieve(
    "brand_id",
)
print(brand.id)
{
  "id": "<string>",
  "name": "<string>",
  "logo_url": "<string>",
  "description": "<string>",
  "best_commission_rate": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.trychannel3.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

brand_id
string
required

Response

Successful Response

id
string
required
name
string
required
logo_url
string | null
description
string | null
best_commission_rate
number
default:0

The maximum commission rate for the brand, as a percentage